For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
LoginStart trialGet a demo
  • Welcome
    • Getting Started
    • Create an API Key
    • Pagination
    • Rate Limiting
    • No-Code Integrations
  • Webhooks
  • OAuth2
  • API Reference
      • GETList publications <Badge intent="info" minimal outlined>OAuth Scope: publications:read</Badge>
      • GETGet publication <Badge intent="info" minimal outlined>OAuth Scope: publications:read</Badge>
LogoLogo
LoginStart trialGet a demo
API ReferencePublications

Get publication OAuth Scope: publications:read

GET
https://api.beehiiv.com/v2/publications/:publicationId
GET
/v2/publications/:publicationId
$curl https://api.beehiiv.com/v2/publications/pub_ad76629e-4a39-43ad-8055-0ee89dc6db15 \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "id": "pub_ad76629e-4a39-43ad-8055-0ee89dc6db15",
4 "name": "Bee Informed",
5 "organization_name": "Barry's Hiiv",
6 "referral_program_enabled": true,
7 "created": 1715698529,
8 "stats": {
9 "active_subscriptions": 12,
10 "active_premium_subscriptions": 2,
11 "active_free_subscriptions": 10,
12 "average_open_rate": 0.8,
13 "average_click_rate": 0.45,
14 "total_sent": 12,
15 "total_unique_opened": 9,
16 "total_clicked": 6
17 }
18 }
19}
Retrieve a single publication
Was this page helpful?
Previous

Get referral program OAuth Scope: referral_program:read

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

publicationIdstringRequiredformat: "^(pub_[0-9a-fA-F\-]+)$"
The prefixed ID of the publication object

Query parameters

expandlist of enumsOptional
Optionally expand the results by adding additional information like subscription counts and engagement stats.

Response

OK
dataobject

Errors

400
Bad Request Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error